/*****************************************************************************
Basic stack of strings unit implemented for use in SFV UNIX port

Copyright (C)1998 Alcatraz of Fantasia Sofware

The source code may not be modified or used in any other purpose then 
the compilation of sfv. It is distributed with the sfv package so it can be 
compiled on the desired platform. Any error or comments should be mailed to 

alc@cyberdude.com
*****************************************************************************/
                     
  //Main stack structure 
typedef struct STACKRECORD_{
  char 			*data;
  struct STACKRECORD_  	*next;
} STACKRECORD;
 
  //Creates a new stack (ie sets the var to NULL)
STACKRECORD *stackCreate();
  //disposes of the stack
void stackDispose(STACKRECORD **stack);
  //pushes a new item onto the stack
void stackPush(STACKRECORD **stack, char *theString);
  //pops the topmost string off the stack
char *stackPop(STACKRECORD **stack);
  //checks whether or not an item is lready on the stack
int stackDupe(STACKRECORD *stack, char *scanForMe);
  //pushes an item to the stack if it isnt already in there
int stackPushDupe(STACKRECORD **stack, char *theString);
  //checks whether or not the stack is empty
int stackIsEmpty(STACKRECORD *stack);
  //pushes an item to the wrong end of the stack, ie like a que
void stackAddEnd(STACKRECORD **stack, char *theString);